Subject: Re: [PATCH v2 net-next] net: phy: smsc: add WoL support to LAN8740/LAN8742 PHYs

From: Jakub Kicinski <[email-masked]>
Date: Tue, 20 Jun 2023 11:08:30 -0700

On Wed, 14 Jun 2023 17:15:50 -0700 [email-masked] wrote:
> Microchip LAN8740/LAN8742 PHYs support basic unicast, broadcast, and
> Magic Packet WoL.  They have one pattern filter matching up to 128 bytes
> of frame data, which can be used to implement ARP or multicast WoL.
> 
> ARP WoL matches ARP request for IPv4 address of the net device using the
> PHY.
> 
> Multicast WoL matches IPv6 Neighbor Solicitation which is sent when
> somebody wants to talk to the net device using IPv6.  This
> implementation may not be appropriate and can be changed by users later.

Quick look at lan743x and natsemi seems to indicate that WAKE_ARP means
wake on _any_ arp, not arp directed to the local IPv4 addr.

Could you separate the changes to support other wake types out and post
separately? We can merge that without much controversy. The ARP may
need a discussion. My instinct is that since existing drivers interpret
ARP as any ARP we should add a new type to the uAPI for local ARP.

Sorry for the long review delay.
-- 
pw-bot: cr